Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Types.HaConstraintViolationNetworkNotShared

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.xensource.xenapi.Types.XenAPIException
                      com.xensource.xenapi.Types.HaConstraintViolationNetworkNotShared

All Implemented Interfaces:
  Serializable

Enclosing class:
  Types

    public static class Types.HaConstraintViolationNetworkNotShared

extends Types.XenAPIException

This operation cannot be performed because the referenced network is not properly shared. The network must either be entirely virtual or must be physically present via a currently_attached PIF on every host.

See Also:
  Serialized Form

Field Summary
`String` | `network`

Fields inherited from class com.xensource.xenapi.Types.XenAPIException
`errorDescription, shortDescription`

Constructor Summary
`Types.HaConstraintViolationNetworkNotShared(String network)` Create a new HaConstraintViolationNetworkNotShared

Method Summary

Methods inherited from class com.xensource.xenapi.Types.XenAPIException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### network

    public final String network

Constructor Detail

### Types.HaConstraintViolationNetworkNotShared

    public Types.HaConstraintViolationNetworkNotShared(String network)

  Create a new HaConstraintViolationNetworkNotShared

  Parameters:
    `network` -

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD